Name:       ncid
Version:    1.6
Release:    5%{?dist}
Summary:    Network Caller ID server, client, and gateways

Group:      Applications/Communications
Requires:   perl-interpreter
License:    GPLv3+
Url:        http://ncid.sourceforge.net
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libpcap-devel, perl-generators, perl-podlators
%{?systemd_requires}
BuildRequires: systemd



%description
NCID is Caller ID (CID) distributed over a network to a variety of
devices and computers.  NCID includes a server, gateways, a client,
client output modules, and command line tools.

The NCID server obtains the Caller ID information from a modem,
a serial device, and from gateways for NCID, SIP, WC, & YAC.

This package contains the server, gateways and command line tools.
The client is in the ncid-client package.

%package client
Summary:    NCID (Network Caller ID) client
Group:      Applications/Communications
BuildArch:  noarch
Requires:   tcl, tk, mailx, nc

%description client
The NCID client obtains the Caller ID from the NCID server and normally
displays it in a GUI window.  It can also display the Called ID in a
terminal window or, using an output module, format the output and send it
to another program.

This package contains the NCID client and output modules that are not
separate packages.

%package kpopup
Summary:    NCID kpopup module displays Caller ID info in a KDE window
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}
Requires:   %{name}-speak = %{version}-%{release}
Requires:   kde-baseapps, kmix

%description kpopup
The NCID kpopup module displays Caller ID information in a KDE pop-up window
and optionally speaks the number via voice synthesis.  The KDE or Gnome
desktop must be running.

%package mysql
Summary:    NCID mysql module inputs Caller ID information into a SQL database
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, mysql

%description mysql
The NCID mysql module inputs NCID Caller information into a SQL database
using either MariaDB or a MySQL database.

%package samba
Summary:    NCID samba module sends Caller ID information to windows machines
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, samba-client

%description samba
The NCID samba module sends Caller ID information to a windows machine
as a pop-up.  This will not work if the messenger service is disabled.

%package speak
Summary:    NCID speak module speaks Caller ID information via voice synthesis
Group:      Applications/Communications
BuildArch:  noarch
Requires:   %{name}-client = %{version}-%{release}, festival

%description speak
The NCID speak module announces Caller Id information verbally, using
the Festival text-to-speech voice synthesis system.

%prep

%setup -q -n %{name}

%build
make %{?_smp_mflags} EXTRA_CFLAGS="$RPM_OPT_FLAGS" \
     STRIP= prefix=%{_prefix} prefix2= local fedoradir

%install
rm -rf ${RPM_BUILD_ROOT}
make install install-fedora prefix=${RPM_BUILD_ROOT}/%{_prefix} \
                            prefix2=${RPM_BUILD_ROOT} \
                            prefix3=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT
rm -fr $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%doc README VERSION doc/GPL.md doc/ReleaseNotes.md
%doc Fedora/README.Fedora server/README.server gateway/README.gateways
%doc logrotate/README.logrotate tools/README.tools
%{_bindir}/cidcall
%{_bindir}/cidalias
%{_bindir}/cidupdate
%{_bindir}/email2ncid
%{_bindir}/ncidutil
%{_bindir}/ncid2ncid
%{_bindir}/ncid-setup
%{_bindir}/obi2ncid
%{_bindir}/rn2ncid
%{_bindir}/wc2ncid
%{_bindir}/wct
%{_bindir}/yac2ncid
%{_sbindir}/ncidd
%{_sbindir}/sip2ncid
%dir %{_datadir}/ncid
%dir %{_datadir}/doc/ncid/recordings
%dir %{_datadir}/ncid/extensions
%dir %{_datadir}/ncid/recordings
%dir %{_datadir}/ncid/setup
%dir %{_datadir}/ncid/sys
%{_datadir}/ncid/extensions/hangup-calls
%{_datadir}/ncid/extensions/hangup-closed-skel
%{_datadir}/ncid/extensions/hangup-message-skel
%{_datadir}/ncid/extensions/hangup-skel
%{_datadir}/ncid/recordings/NumberDisconnected.rmd
%{_datadir}/ncid/recordings/CallingDeposit.rmd
%{_datadir}/ncid/recordings/NotInService.rmd
%{_datadir}/ncid/setup/ncid-email2ncid-setup
%{_datadir}/ncid/sys/ncidrotate
%{_datadir}/ncid/sys/ncid-yearlog
%{_datadir}/doc/ncid/recordings/README.recordings
%{_datadir}/doc/ncid/recordings/*.pvf
%dir %{_sysconfdir}/ncid
%config(noreplace) %{_sysconfdir}/ncid/email2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidd.blacklist
%config(noreplace) %{_sysconfdir}/ncid/ncidd.whitelist
%config(noreplace) %{_sysconfdir}/ncid/ncidd.conf
%config(noreplace) %{_sysconfdir}/ncid/ncidd.alias
%config(noreplace) %{_sysconfdir}/ncid/ncidrotate.conf
%config(noreplace) %{_sysconfdir}/ncid/ncid2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/obi2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/rn2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/sip2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/wc2ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/yac2ncid.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ncid
%{_unitdir}/ncidd.service
%{_unitdir}/ncid2ncid.service
%{_unitdir}/obi2ncid.service
%{_unitdir}/rn2ncid.service
%{_unitdir}/sip2ncid.service
%{_unitdir}/wc2ncid.service
%{_unitdir}/yac2ncid.service
%{_mandir}/man1/cidalias.1*
%{_mandir}/man1/cidcall.1*
%{_mandir}/man1/cidupdate.1*
%{_mandir}/man1/email2ncid.1*
%{_mandir}/man1/ncid-email2ncid-setup.1*
%{_mandir}/man1/hangup-calls.1*
%{_mandir}/man1/hangup-closed-skel.1*
%{_mandir}/man1/hangup-message-skel.1*
%{_mandir}/man1/hangup-skel.1.gz
%{_mandir}/man1/ncid-setup.1*
%{_mandir}/man1/ncid-yearlog.1*
%{_mandir}/man1/ncidutil.1*
%{_mandir}/man1/ncidrotate.1*
%{_mandir}/man1/ncid2ncid.1*
%{_mandir}/man1/obi2ncid.1*
%{_mandir}/man1/rn2ncid.1*
%{_mandir}/man1/wc2ncid.1*
%{_mandir}/man1/wct.1*
%{_mandir}/man1/yac2ncid.1*
%{_mandir}/man5/email2ncid.conf.5*
%{_mandir}/man5/ncidd.blacklist.5*
%{_mandir}/man5/ncidd.whitelist.5*
%{_mandir}/man5/ncidd.conf.5*
%{_mandir}/man5/ncid2ncid.conf.5*
%{_mandir}/man5/obi2ncid.conf.5*
%{_mandir}/man5/rn2ncid.conf.5*
%{_mandir}/man5/sip2ncid.conf.5*
%{_mandir}/man5/wc2ncid.conf.5*
%{_mandir}/man5/yac2ncid.conf.5*
%{_mandir}/man5/ncidd.alias.5*
%{_mandir}/man5/ncidrotate.conf.5*
%{_mandir}/man7/ncidtools.7*
%{_mandir}/man7/ncidgateways.7*
%{_mandir}/man8/ncidd.8*
%{_mandir}/man8/sip2ncid.8*

%files client
%defattr(-,root,root)
%doc README VERSION client/README.client modules/README.modules
%{_bindir}/ncid
%dir %{_datadir}/ncid
%dir %{_datadir}/ncid/modules
%{_datadir}/ncid/modules/ncid-alert
%{_datadir}/ncid/modules/ncid-initmodem
%{_datadir}/ncid/modules/ncid-mythtv
%{_datadir}/ncid/modules/ncid-notify
%{_datadir}/ncid/modules/ncid-page
%{_datadir}/ncid/modules/ncid-skel
%{_datadir}/ncid/modules/ncid-wakeup
%{_datadir}/ncid/modules/ncid-yac
%{_datadir}/pixmaps/ncid/ncid.gif
%dir %{_sysconfdir}/ncid
%dir %{_sysconfdir}/ncid/conf.d
%config(noreplace) %{_sysconfdir}/ncid/ncid.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-alert.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-mythtv.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-notify.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-page.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-skel.conf
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-yac.conf
%{_unitdir}/ncid-initmodem.service
%{_unitdir}/ncid-mythtv.service
%{_unitdir}/ncid-notify.service
%{_unitdir}/ncid-page.service
%{_unitdir}/ncid-yac.service
%{_mandir}/man1/ncid.1*
%{_mandir}/man1/ncid-alert.1*
%{_mandir}/man1/ncid-initmodem.1*
%{_mandir}/man1/ncid-mythtv.1*
%{_mandir}/man1/ncid-notify.1*
%{_mandir}/man1/ncid-page.1*
%{_mandir}/man1/ncid-skel.1*
%{_mandir}/man1/ncid-wakeup.1*
%{_mandir}/man1/ncid-yac.1*
%{_mandir}/man5/ncid.conf.5*
%{_mandir}/man7/ncid-modules.7*

%files kpopup
%defattr(-,root,root)
%doc VERSION modules/README.modules 
%{_datadir}/ncid/modules/ncid-kpopup
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-kpopup.conf
%{_mandir}/man1/ncid-kpopup.1*

%files mysql
%defattr(-,root,root)
%doc VERSION modules/README.modules setup/README.setup
%{_datadir}/ncid/modules/ncid-mysql
%{_datadir}/ncid/setup/ncid-mysql-setup
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-mysql.conf
%{_usr}/lib/systemd/system/ncid-mysql.service
%{_mandir}/man1/ncid-mysql.1*
%{_mandir}/man8/ncid-mysql-setup.8*

%files samba
%defattr(-,root,root)
%doc VERSION modules/README.modules
%{_datadir}/ncid/modules/ncid-samba
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-samba.conf
%{_unitdir}/ncid-samba.service
%{_mandir}/man1/ncid-samba.1*

%files speak
%defattr(-,root,root)
%doc VERSION modules/README.modules
%{_datadir}/ncid/modules/ncid-speak
%config(noreplace) %{_sysconfdir}/ncid/conf.d/ncid-speak.conf
%{_unitdir}/ncid-speak.service
%{_mandir}/man1/ncid-speak.1*

%post
%systemd_post ncidd.service ncid2ncid.service sip2ncid.service yac2ncid.service obi2ncid.service rn2ncid.service wc2ncid.service

%post client
%systemd_post ncid-page.service ncid-yac.service ncid-mythtv.service ncid-initmodem.service ncid-notify.service

%post samba
%systemd_post ncid-samba.service

%post speak
%systemd_post ncid-speak.service

%preun
%systemd_preun ncidd.service ncid2ncid.service sip2ncid.service yac2ncid.service obi2ncid.service rn2ncid.service wc2ncid.service

%preun client
%systemd_preun ncid-page.service ncid-yac.service ncid-mythtv.service ncid-initmodem.service ncid-notify.service

%preun samba
%systemd_preun ncid-samba.service

%preun speak
%systemd_preun ncid-speak.service

%postun
%systemd_postun_with_restart ncidd.service ncid2ncid.service sip2ncid.service yac2ncid.service obi2ncid.service rn2ncid.service wc2ncid.service

%postun client
%systemd_postun_with_restart ncid-page.service ncid-yac.service ncid-mythtv.service ncid-initmodem.service ncid-notify.service

%postun samba
%systemd_postun_with_restart ncid-samba.service

%postun speak
%systemd_postun_with_restart ncid-speak.service

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 13 2017 Petr Pisar <ppisar@redhat.com> - 1.6-3
- perl dependency renamed to perl-interpreter
  <https://fedoraproject.org/wiki/Changes/perl_Package_to_Install_Core_Modules>

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Nov 25 2016 Eric Sandeen <sandeen@redhat.com> 1.6-1
- New upstream release

* Thu Apr 14 2016 Eric Sandeen <sandeen@redhat.com> 1.3-3
- Fix up systemd service files

* Thu Apr 14 2016 Eric Sandeen <sandeen@redhat.com> 1.3-2
- Tidy up specfile; match uptream more closely.

* Mon Apr 11 2016 Eric Sandeen <sandeen@redhat.com> 1.3-1
- New upstream version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.83-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.83-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 10 2011 Eric Sandeen <sandeen@redhat.com> 0.83-1
- New upstream version

* Tue Mar 01 2011 Eric Sandeen <sandeen@redhat.com> 0.81-1
- New upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Eric Sandeen <sandeen@redhat.com> 0.80-1
- New upstream version

* Wed Sep 29 2010 jkeating - 0.79-2
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Eric Sandeen <sandeen@redhat.com> 0.79-1
- New upstream version

* Mon Jul 12 2010 Eric Sandeen <sandeen@redhat.com> 0.78-2
- Add doc/LICENSE to -client subpackage docs

* Mon May 17 2010 Eric Sandeen <sandeen@redhat.com> 0.78-1
- New upstream version

* Sat Apr 17 2010 Eric Sandeen <sandeen@redhat.com> 0.77-1
- New upstream version

* Tue Feb 16 2010 Eric Sandeen <sandeen@redhat.com> 0.76-1
- New upstream version

* Sat Nov 07 2009 Eric Sandeen <sandeen@redhat.com> 0.75-1
- New upstream version
- Make client subpackage noarch

* Fri Oct 09 2009 Eric Sandeen <sandeen@redhat.com> 0.74-3
- Address new review items

* Fri Sep 04 2009 Eric Sandeen <sandeen@redhat.com> 0.74-2
- Address new review items

* Wed Jul 29 2009 Eric Sandeen <sandeen@redhat.com> 0.74-1
- New upstream release.

* Sun Mar 29 2009 Eric Sandeen <sandeen@redhat.com> 0.73-2
- First Fedora build.

* Thu Mar 12 2009 John Chmielewski <jlc@users.sourceforge.net> 0.73-1
- Initial build.

